#include "modules.hpp"

Module::Module(std::string name) : SystemElementContainer<Part>(name) {};

Modules::Modules(void): SystemElementContainer<Module>("modules") {}

Modules::Modules(std::vector<Module> modules): SystemElementContainer<Module>("modules", modules) {}